Get File Object by ID
curl --request GET \
--url https://api.olostep.com/v1/files/{file_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/files/{file_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"filename": "<string>",
"bytes": 123,
"download_url": "<string>",
"expires_in": 123
}Files
Get File Content
Download the content of a completed file. Returns the JSON file content.
GET
/
v1
/
files
/
{file_id}
/
content
Get File Object by ID
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
Unique identifier for the file to download.
Query Parameters
Number of seconds until the download URL expires. Defaults to 600 seconds (10 minutes).
Response
Successful response with download URL.
File ID
The kind of object. "file" for this endpoint.
Created epoch timestamp
The filename of the uploaded file
File size in bytes
Pre-signed URL for downloading the file. Expires after the specified expires_in time.
Number of seconds until the download URL expires
Was this page helpful?